import AutocompleteStation from "./AutocompleteStation"
import {useNavigate} from "react-router-dom"

function Home() {
  const navigate = useNavigate()

  function onStationSelected(event, station) {
    navigate(`/station/sncf/${station.id}/`)
  }

  return <>
    <h1>Horaires des trains</h1>
    <h2>
      Choisissez une gare dont vous désirez connaître le tableau des prochains départs et arrivées :
    </h2>
    <AutocompleteStation onChange={onStationSelected} />
  </>
}

export default Home;